#include "extern.h"

static struct S_def Lp_S = {LP, (char*) 0};
Node Lp;
static struct S_def Minus_S = {MINUS, (char*) 0};
Node Minus;
static struct S_def AndOp_S = {AND_OP, ".AND."};
Node AndOp;
static struct S_def Call_S = {CALL, (char*) 0};
Node Call;
static struct S_def Close_S = {CLOSE, (char*) 0};
Node Close;
static struct S_def Continue_S = {CONTINUE, (char*) 0};
Node Continue;
static struct S_def DefinedUnaryOp_S = {DEFINED_UNARY_OP, (char*) 0};
Node DefinedUnaryOp;
static struct S_def ElseIf_S = {ELSE_IF, "ELSE IF"};
Node ElseIf;
static struct S_def EndFile_S = {END_FILE, "ENDFILE"};
Node EndFile;
static struct S_def EndProgram_S = {END_PROGRAM, (char*) 0};
Node EndProgram;
static struct S_def Entry_S = {ENTRY, (char*) 0};
Node Entry;
static struct S_def Exit_S = {EXIT, (char*) 0};
Node Exit;
static struct S_def HexConstant_S = {HEX_CONSTANT, (char*) 0};
Node HexConstant;
static struct S_def Integer_S = {INTEGER, (char*) 0};
Node Integer;
static struct S_def Ldac_S = {LDAC, "(/"};
Node Ldac;
static struct S_def Module_S = {MODULE, (char*) 0};
Node Module;
static struct S_def OctalConstant_S = {OCTAL_CONSTANT, (char*) 0};
Node OctalConstant;
static struct S_def Pause_S = {PAUSE, (char*) 0};
Node Pause;
static struct S_def Print_S = {PRINT, (char*) 0};
Node Print;
static struct S_def Read_S = {READ, (char*) 0};
Node Read;
static struct S_def RelOpGe_S = {REL_OP_GE, ".GE."};
Node RelOpGe;
static struct S_def Return_S = {RETURN, (char*) 0};
Node Return;
static struct S_def Stop_S = {STOP, (char*) 0};
Node Stop;
static struct S_def Use_S = {USE, (char*) 0};
Node Use;
static struct S_def Forall_S = {FORALL, (char*) 0};
Node Forall;
static struct S_def Diralign_S = {DIRALIGN, (char*) 0};
Node Diralign;
static struct S_def ElseBlock_S = {ELSE_BLOCK, (char*) 0};
Node ElseBlock;

Tree_init_constants ()
{
	Tree_init_constants_0 ();
	Tree_init_constants_1 ();
	Tree_init_constants_2 ();
	Tree_init_constants_3 ();
	Tree_init_constants_4 ();
}


Tree_init_constants_0 ()
{
	Lp.def = Lp_S;
	Minus.def = Minus_S;
	AndOp.def = AndOp_S;
	Call.def = Call_S;
	Close.def = Close_S;
	Continue.def = Continue_S;
	DefinedUnaryOp.def = DefinedUnaryOp_S;
	ElseIf.def = ElseIf_S;
	EndFile.def = EndFile_S;
	EndProgram.def = EndProgram_S;
	Entry.def = Entry_S;
	Exit.def = Exit_S;
	HexConstant.def = HexConstant_S;
	Integer.def = Integer_S;
	Ldac.def = Ldac_S;
	Module.def = Module_S;
	OctalConstant.def = OctalConstant_S;
	Pause.def = Pause_S;
	Print.def = Print_S;
	Read.def = Read_S;
	RelOpGe.def = RelOpGe_S;
	Return.def = Return_S;
	Stop.def = Stop_S;
	Use.def = Use_S;
	Forall.def = Forall_S;
	Diralign.def = Diralign_S;
	ElseBlock.def = ElseBlock_S;
}

